Bug 51 - GNOME 2 font picker crashes if subpixel antialiasing is enabled
Summary: GNOME 2 font picker crashes if subpixel antialiasing is enabled
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: 2.1
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-23 08:45 UTC by Tony Houghton
Modified: 2003-03-30 22:21 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Backtrace from gnome-terminal (3.59 KB, text/plain)
2003-03-23 08:46 UTC, Tony Houghton
Details
/etc/fonts/fonts.conf (9.93 KB, text/xml)
2003-03-23 08:48 UTC, Tony Houghton
Details
/etc/fonts/local.conf (414 bytes, text/xml)
2003-03-23 08:49 UTC, Tony Houghton
Details

Description Tony Houghton 2003-03-23 08:45:56 UTC
If I enable subpixel rendering in /etc/fonts/*, GNOME 2 applications crash when
trying to open the font picker. I'll upload my config files and a backtrace from
gnome-terminal shortly.
Comment 1 Tony Houghton 2003-03-23 08:46:46 UTC
Created attachment 34 [details]
Backtrace from gnome-terminal
Comment 2 Tony Houghton 2003-03-23 08:48:36 UTC
Created attachment 35 [details]
/etc/fonts/fonts.conf
Comment 3 Tony Houghton 2003-03-23 08:49:07 UTC
Created attachment 36 [details]
/etc/fonts/local.conf
Comment 4 Keith Packard 2003-03-31 08:56:51 UTC
What version are you running?  I believe this problem is fixed in current CVS
as well as 2.1.92
Comment 5 Tony Houghton 2003-03-31 15:06:35 UTC
This is now working correctly. I think I may have accidentally been using an old
version in /usr/local when I thought I was using a newer Debian package. Sorry
for any time wasted.
Comment 6 Keith Packard 2003-03-31 16:21:18 UTC
Thanks for checking.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.